| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfCFV Struct Reference
Subscriber Features

Call Forwarding - All Calls. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
enum unsp__SubControllable * | SubActivatable
| Indicates the method by which the subscriber can activate/deactivate this feature. More...
enum unsp__SubControllable * | DestServiceIdSubControllable
| Indicates the method by which the subscriber can change the destination of Call Forwarding. More...
unsp__Enabled * | Enabled
| Standard Enabled flag. More...
unsp__ServiceId | ServiceId
| Indicates the destination number or Alphanumeric SIP URI. More...
struct unsp__CfCFV_locPres * | Local
| Local Presence flags. More...
enum unsp__CFNotifyCallingParty * | CFNotifyCallingParty
| Specifies whether and how the calling party will be notified of the forwarding. More...
xsd__boolean * | NotifySubCallFwdOccurred
| If this parameter is set to True, a splash ring will notify the called party that their call is being forwarded. More...
xsd__boolean * | NotifySubCallFwdActive
| If set to True, the user is reminded that forwarding is currently active. More...

## Detailed Description

Call Forwarding - All Calls.

The Call Forwarding - All Calls feature provides the capability to redirect calls intended for the subscriber to another destination. The subscriber activates and de-activates the feature and specifies the forwarding destination. Also known as Call Forwarding Variable or Call Forward Unconditional. This feature overrides CfCFB and CfCFDA.
MP2 command: CFCFV [Attributes]

## Member Data Documentation

## ◆ CFNotifyCallingParty

enum unsp__CFNotifyCallingParty* unsp__CfCFV::CFNotifyCallingParty

Specifies whether and how the calling party will be notified of the forwarding.

required: false
default value[range]: CfNotifyCallingPtyNone

## ◆ DestServiceIdSubControllable

enum unsp__SubControllable* unsp__CfCFV::DestServiceIdSubControllable

Indicates the method by which the subscriber can change the destination of Call Forwarding.

required: false.
default value[range]: None

## ◆ Enabled

unsp__Enabled* unsp__CfCFV::Enabled

Standard Enabled flag.

## ◆ Local

struct unsp__CfCFV_locPres* unsp__CfCFV::Local

Local Presence flags.

## ◆ NotifySubCallFwdActive

xsd__boolean* unsp__CfCFV::NotifySubCallFwdActive

If set to True, the user is reminded that forwarding is currently active.

The notification method can be either tone or announcement, which is part of the treatment provisioning, not part of the feature provisioning.
required: false
default value[range]: false

## ◆ NotifySubCallFwdOccurred

xsd__boolean* unsp__CfCFV::NotifySubCallFwdOccurred

If this parameter is set to True, a splash ring will notify the called party that their call is being forwarded.

required: false
default value[range]: false

## ◆ ServiceId

unsp__ServiceId unsp__CfCFV::ServiceId

Indicates the destination number or Alphanumeric SIP URI.

required: true, if the feature is enabled

See also
  unsp__CFTarget

## ◆ SubActivatable

enum unsp__SubControllable* unsp__CfCFV::SubActivatable

Indicates the method by which the subscriber can activate/deactivate this feature.

required: false
default value[range]: All

## ◆ Subscribed

enum unsp__Subscribed unsp__CfCFV::Subscribed

Standard Subscribed enumeration.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h